Name:		gimp-fourier-plugin
Version:	0.3.2
Release:	4%{?dist}
Summary:	A simple plug-in to do fourier transform on your image

Group:		Applications/Multimedia
License:	GPLv3+
URL:		http://people.via.ecp.fr/~remi/soft/gimp/gimp_plugin_en.php3
Source0:	http://people.via.ecp.fr/~remi/soft/gimp/fourier-%{version}.tar.gz
# patch0 sent upstream via email. mentioned gnomebug #568351
Patch0:		gimp-fourier-plugin.build.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gimp-devel
BuildRequires:	fftw3-devel
Requires:	gimp


%description
A simple plug-in to do fourier transform on your image. The major advantage of 
this plugin is to be able to work with the transformed image inside GIMP.


%prep
%setup -q -n fourier-%{version}
%patch0 -p1 -b .build

# Fix for wrong-file-end-of-line-encoding problem
%{__sed} -i 's/\r//' README
%{__sed} -i 's/\r//' gpl.txt

# Fix utf-8 encoding
iconv -f ISO-8859-1 -t UTF-8 README > README.utf8


%build
export CC="gcc %{optflags}"
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/gimp/2.0/plug-ins/
install fourier %{buildroot}/%{_libdir}/gimp/2.0/plug-ins/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.utf8 gpl.txt
%{_libdir}/gimp/2.0/plug-ins/fourier


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 25 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.3.2-2
- Fix UTF-8
- Using optflags

* Mon Jan 19 2009 Fabian Deutsch <fabian.deutsch at gmx.de> 0.3.2-1
- Updated to 0.3.2
- Includes license note
- Small hack around gimptool-2.0 bug.

* Sun Dec 07 2008 Fabian Deutsch <fabian.deutsch at gmx.de> 0.3.1-1
- Version 0.3.1
- Initial.
